Name:           perl-AI-Pathfinding-AStar
Version:        0.10
Release:        1%{?dist}
Summary:        Perl implementation of the A* pathfinding algorithm
License:        CHECK(GPL+ or Artistic)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/AI-Pathfinding-AStar/
Source0:        http://www.cpan.org/authors/id/A/AC/ACDALTON/AI-Pathfinding-AStar-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Heap::Binomial)
BuildRequires:  perl(Heap::Elem)
BuildRequires:  perl(Test::More) >= 0.11
Requires:       perl(Heap::Binomial)
Requires:       perl(Heap::Elem)
Requires:       perl(Test::More) >= 0.11
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements the A* pathfinding algorithm. It acts as a base
class from which a custom map object can be derived. It requires from the
map object a subroutine named getSurrounding (described below) and provides
to the object two routines called findPath and findPathIncr (also described
below.) It should also be noted that AI::Pathfinding::AStar defines two
other subs (calcF and calcG) which are used only by the findPath routines.

%prep
%setup -q -n AI-Pathfinding-AStar-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon May 07 2018 Simon Amor <simon@leaky.org> 0.10-1
- Specfile autogenerated by cpanspec 1.78.
